# Deprecated API

## Contents

- Methods
- Constructors

- Methods
  Method | Description
  --- | ---
  javafx.css.CssMetaData.set​(S, V, StyleOrigin) | This method is no longer called from CSS code. Use `StyleableProperty.applyStyle(javafx.css.StyleOrigin, java.lang.Object)`
  javafx.fxml.FXMLLoader.loadType​(String, String) | This method now delegates to `FXMLLoader.getDefaultClassLoader()`.
  javafx.scene.control.SkinBase.snapPosition​(double) | replaced by `snapPositionX()` and `snapPositionY()`
  javafx.scene.control.SkinBase.snapSize​(double) | replaced by `snapSizeX()` and `snapSizeY()`
  javafx.scene.control.SkinBase.snapSpace​(double) | replaced by `snapSpaceX()` and `snapSpaceY()`
  javafx.scene.control.TreeTableView.getNodeLevel​(TreeItem<?>) | This method does not correctly calculate the distance from the given TreeItem to the root of the TreeTableView. As of JavaFX 8.0_20, the proper way to do this is via `TreeTableView.getTreeItemLevel(TreeItem)`
  javafx.scene.control.TreeView.getNodeLevel​(TreeItem<?>) | This method does not correctly calculate the distance from the given TreeItem to the root of the TreeView. As of JavaFX 8.0_20, the proper way to do this is via `TreeView.getTreeItemLevel(TreeItem)`
  javafx.scene.layout.Region.snapPosition​(double) | replaced by `snapPositionX()` and `snapPositionY()`
  javafx.scene.layout.Region.snapSize​(double) | replaced by `snapSizeX()` and `snapSizeY()`
  javafx.scene.layout.Region.snapSpace​(double) | replaced by `snapSpaceX()` and `snapSpaceY()`
  javafx.scene.media.AudioTrack.getLanguage() | Use `Track.getLocale()` instead.
  javafx.util.Duration.divide​(Duration) | This method produces surprising results by not taking units into account. Use `Duration.divide(double)` instead.
  javafx.util.Duration.multiply​(Duration) | This method produces surprising results by not taking units into account. Use `Duration.multiply(double)` instead.

- Constructors
  Constructor | Description
  --- | ---
  javafx.event.EventType() | Do not use this constructor, as only one such EventType can exist
  javafx.scene.input.GestureEvent​(EventType<? extends GestureEvent>) | Do not use this constructor. Constructs empty event.